#include "BubbleIndicatorNotifier.h"
#include "Templates/SubclassOf.h"
#include "UObject/NoExportTypes.h"
#include "EBubbleShowedPlayerType.h"

class UObject;
class ABubbleIndicator;
class UStaticMesh;

void UBubbleIndicatorNotifier::SpawnBubbleIndicator(UObject* worldContextObject, TSubclassOf<ABubbleIndicator> bubbleIndicatorBP, FTransform transform, bool triggerLoudNoise, EBubbleShowedPlayerType showedPlayerType, float lifetime, UStaticMesh* silhouetteStaticMesh, float audibleRange)
{

}

ABubbleIndicator* UBubbleIndicatorNotifier::PreSpawnBubbleIndicator(UObject* worldContextObject, TSubclassOf<ABubbleIndicator> bubbleIndicatorBP, UStaticMesh* silhouetteStaticMesh)
{
	return NULL;
}

void UBubbleIndicatorNotifier::ActivateBubbleIndicator(UObject* worldContextObject, ABubbleIndicator* bubbleIndicator, FTransform transform, bool triggerLoudNoise, float lifetime, float audibleRange)
{

}

UBubbleIndicatorNotifier::UBubbleIndicatorNotifier()
{

}
